Skip to content
The API may change between versions while TTX-Zone is 0.x.

Set default organization

PATCH
/api/v1/auth/default-organization
curl --request PATCH \
--url https://example.com/api/v1/auth/default-organization \
--header 'Content-Type: application/json' \
--header 'X-CSRF-Token: <X-CSRF-Token>' \
--cookie ttx_access_token=<ttx_access_token> \
--data '{ "organization_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" }'

Set the organization the caller lands on.

Media typeapplication/json
DefaultOrganizationRequest
object
organization_id
required
Organization Id
string format: uuid

Example generated

{
"organization_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"
}

Successful Response

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string

Example generated

{
"detail": [
{
"ctx": {},
"input": "example",
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}